# Navigation Style

We have included eleven navigation styles in the Crema. You can choose the Navigation style according to your choice and requirement by following the under-written steps.

**Changing Navigation Style in run time:-**

Click on the settings button on the right corner of the screen just below the notification icon, a drawer will open in which you will find the navigation styles option and from there, you can the navigation style of your choice.\
![](/files/QPC9lI8CCO7lkoVpID2j)

**Changing Navigation Style in development mode (setting default Navigation Style):-**

To set the default Navigation Style, go to the `src/@crema/constants/defaultConfig.js`

In this file, you will find a property named '**navStyle**' inside the defaultConfig object which accepts eleven values. You need to set the value of '**navStyle**' according to your choice. You can achieve it like below.

```javascript
const defaultConfig = {
  ...
  navStyle: process.env.NX_NAV_STYLE, //Change this according our requirement 
  ...
};

######## NavStyle(src/@crema/constants/AppEnums.js) ##########

export const NavStyle = {
  DEFAULT: 'default',
  BIT_BUCKET: 'bit_bucket',
  STANDARD: 'standard',
  DRAWER: 'drawer',
  MINI: 'mini',
  MINI_SIDEBAR_TOGGLE: 'mini-sidebar-toggle',
  HEADER_USER: 'user-header',
  HEADER_USER_MINI: 'user-mini-header',
  H_DEFAULT: 'h-default',
  HOR_HEADER_FIXED: 'hor-header-fixed',
  HOR_DARK_LAYOUT: 'hor-dark-layout',
};
```

Layouts and their schematic designs are as follows:-

1. Default Layout \
   ![](/files/9grnbKRy7IfbS2v1t9Wh)
2. Standard Layout\
   ![](/files/vT11Z6bJ0OkPbhVwwjnt)
3. &#x20;Mini Layout\
   ![](/files/1d6a9JpAVLYmsrSCeaVU)
4. Drawer Layout\
   ![](/files/K2ShFlUl7lftVwphizth)
5. Bit Bucket Layout\
   ![](/files/Xe2JS8giGGqEkTlP8bS1)
6. Horizontal Default Layout\
   ![](/files/POQRvUjplXaZ3zVEoK5p)
7. Horizontal Light Navigation Layout

   ![](/files/ACbSS8Ea4NR9yvVmjjnB)
8. Horizontal Dark Navigation Layout\
   ![](/files/Yk4MnieSbhiDYzXMAyZD)
9. Mini Sidebar Toggle\
   ![](/files/seMLrkYZ4Kh6GVEoRXhA)
10. Header User\
    ![](/files/2NMCWt75f7Vhhks5r4TG)
11. Header User Mini\
    ![](/files/c6C1hGfhRtNQzQLiy4qe)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cremawork.com/mui/navigation-style.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
